Adult's Only HUB

Adult's Only HUB

Type:video
Version:2.4.0
Views:3126
Download
Help other people decide, vote up or down?
2
X

Bypass geo-blocked content! and stay safe & annonymus online.

If you're blocked from viewing content based on your location, consider using a VPN to unblock it. A VPN is a service that switches your online identity with another one so that you appear online as if you're from another geographical location.

Check out NordVPN

OVER 18's 21s ONLY!!!!!Stream XXX movies Real-Debrid or Alldebird PREMIUM ONLY and now with FREE links

Disclaimer

!!!!! DO NOT INSTALL THIS ADDON IF YOU ARE UNDER 18 or 21. DO NOT INSTALL THIS ADDON IF YOU DO NOT HAVE A PREMIUM DEBIRD ACCOUNT !!!!! Real-Debrid or Alldebird PREMIUM ONLY !!!!! DO NOT INSTALL THIS ADDON IF YOU ARE UNDER 18 or 21. DO NOT INSTALL THIS ADDON IF YOU DO NOT HAVE A PREMIUM DEBIRD ACCOUNT !!!!! www.entertainmentrepo.com

Description

OVER 18's 21s ONLY!!!!!........ Stream all of TheYids Adult Addons in one!!! XXX moviesXXX.......... OVER 18's 21's ONLY XXX...... Real-Debrid or Alldebird PREMIUM ONLY !!!!! DO NOT INSTALL THIS ADDON IF YOU ARE UNDER 18 or 21. DO NOT INSTALL THIS ADDON IF YOU DO NOT HAVE A PREMIUM DEBIRD ACCOUNT !!!!! and now with some FREE links

View More

How To Install

Direct installation

Via Repository

Via Directory

  1. First make sure you have the repository installed
  2. Open up Kodi and navigate into Add-ons.
    addon install - Add-ons
  3. Click the open box icon (above the side-menu).
    addon install - openbox
  4. Select Install from repository.
    • If you have at least one repository (besides the default) installed:
      Select the repository you wish to install from.
  5. Select the category the addon belongs to, in this case it should be video.
  6. Select Adult's Only HUB.
  7. Click Install.

    For a full installation guide please click here.

    Additional Information

    Updated: March 03, 2020

    In Repositories:

    SuperRepo Category Video [Krypton][v7],

    Platform: all

    License: Not specified

    Depends On:

    xbmc.python (>= 2.1.0)

    TheYid's common stuff (>= 0.1.1)

    URLResolver (>= 2.0.9)

    simplejson (>= 3.3.0)

    Recommended Addons